node-gyp_3.8.0-6_all.deb


Advertisement

Description

node-gyp - Native addon build tool for Node.js

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename node-gyp_3.8.0-6_all.deb
Package name node-gyp
Package version 3.8.0
Package release 6
Package architecture all
Package type deb
Category universe/web
Homepage https://github.com/nodejs/node-gyp
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 28.75 KB
Installed size 111.00 KB
node-gyp is a cross-platform command-line tool written in Node.js
for compiling native addon modules for Node.js.
It features :
* Easy to use, consistent interface
* Same commands to build a module on every platform
* Support of multiple target versions of Node.js
node-gyp replaces node-waf program which was deprecated in Node.js 0.8
and removed since Node.js 0.10.
Node.js is an event-based server-side javascript engine.

Alternatives

Package Version Architecture Repository
node-gyp_3.8.0-6_all.deb 3.8.0 all Ubuntu Universe
node-gyp - - -

Requires

Name Value
gyp >= 0.1+20150913git1f374df9
libnode-dev -
node-glob -
node-graceful-fs -
node-mkdirp -
node-nopt -
node-npmlog -
node-osenv -
node-request -
node-rimraf -
node-semver -
node-tar -
node-which -
nodejs -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package node-gyp_3.8.0-6_all.deb
Source Package node-gyp

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install node-gyp deb package:
    # sudo apt-get install node-gyp

Files

Path
/usr/bin/node-gyp
/usr/lib/nodejs/gyp
/usr/share/doc/node-gyp/README.md.gz
/usr/share/doc/node-gyp/changelog.Debian.gz
/usr/share/doc/node-gyp/copyright
/usr/share/man/man1/node-gyp.1.gz
/usr/share/node-gyp/addon.gypi
/usr/share/node-gyp/package.json
/usr/share/node-gyp/bin/node-gyp.js
/usr/share/node-gyp/gyp/gyp_main.py
/usr/share/node-gyp/lib/Find-VS2017.cs
/usr/share/node-gyp/lib/build.js
/usr/share/node-gyp/lib/clean.js
/usr/share/node-gyp/lib/configure.js
/usr/share/node-gyp/lib/find-node-directory.js
/usr/share/node-gyp/lib/find-vs2017.js
/usr/share/node-gyp/lib/install.js
/usr/share/node-gyp/lib/list.js
/usr/share/node-gyp/lib/node-gyp.js
/usr/share/node-gyp/lib/process-release.js
/usr/share/node-gyp/lib/rebuild.js
/usr/share/node-gyp/lib/remove.js

Changelog

2019-03-04 - Jérémy Lal <kapouer@melix.org>
node-gyp (3.8.0-6) unstable; urgency=medium
* Upstream test suite depends on build-essential
2019-03-02 - Jérémy Lal <kapouer@melix.org>
node-gyp (3.8.0-5) unstable; urgency=medium
[ Mattia Rizzolo ]
* Remove the Breaks:node-modern-syslog added in the previous
upload: it was a workaround to avoid ci testing regression.
[ Jérémy Lal ]
* Upstream support for node-tar 3 (Closes: #921625)
* Drop node-fstream dependency, unneeded with tar3-compat.patch
* Add upstream test suite to autopkgtests
2019-01-28 - Xavier Guimard <yadd@debian.org>
node-gyp (3.8.0-4) unstable; urgency=medium
* Team upload
* Bump debhelper compatibility level to 11
* Declare compliance with policy 4.3.0
* Remove useless dependency versions
* Update debian/copyright format link
* Add upstream/metadata
* Add Breaks: node-modern-syslog (<< 1.1.4-2)
2019-01-26 - Jérémy Lal <kapouer@melix.org>
node-gyp (3.8.0-3) unstable; urgency=medium
* Depends libnode-dev instead of nodejs-dev (Closes:#920517)
2019-01-02 - Jérémy Lal <kapouer@melix.org>
node-gyp (3.8.0-2) unstable; urgency=medium
* Patch to add -lnode ldflag
dh_makeshlibs will be able to pick proper dependency on libnodeXX
provided it picks the *.node library extension.
2018-09-29 - Jérémy Lal <kapouer@melix.org>
node-gyp (3.8.0-1) unstable; urgency=medium
* No longer depend on minimatch
* New upstream version 3.8.0
* Refresh patches
* Standards-Version 4.2.1
2018-05-31 - Jérémy Lal <kapouer@melix.org>
node-gyp (3.6.2-2) unstable; urgency=medium
* Move to salsa
* Drop unapplied patch
* Standards-Version 4.1.4
* Remove escaped quotes in tests/control (Closes: #894941)
2017-11-22 - Jérémy Lal <kapouer@melix.org>
node-gyp (3.6.2-1) unstable; urgency=medium
* New upstream version 3.6.2
* Update patches, remove patch for python applied upstream
* Bump dh to 9
* section: javascript
* priority: optional
* Standards-Version: 4.1.1
* Drop nodejs shebang patch
2016-07-01 - Jérémy Lal <kapouer@melix.org>
node-gyp (3.4.0-1) unstable; urgency=medium
* Imported Upstream version 3.4.0
* Standards-Version 3.9.8
2016-03-12 - Jérémy Lal <kapouer@melix.org>
node-gyp (3.3.1-2) unstable; urgency=medium
* Fix permission of executable

See Also

Package Description
node-gzip-size_3.0.0-1_all.deb Get the gzipped size of a string or buffer
node-har-schema_2.0.0-1_all.deb JSON Schema for HTTP Archive (HAR)
node-har-validator_5.1.0-1_all.deb Extremely fast HTTP Archive (HAR) validator using JSON Schema
node-has-ansi_2.0.0-1_all.deb Check if a string has ANSI escape codes in Node.js
node-has-binary_0.1.7-1_all.deb Test if a JavaScript object contains binary data
node-has-cors_1.1.0-1_all.deb Detect support for Cross-Origin Resource Sharing
node-has-flag_2.0.0-1_all.deb check if argv has a specific flag
node-has-gulplog_0.1.0-1_all.deb check if gulplog is available before attempting to use it
node-has-symbol-support-x_1.4.1+dfsg-1_all.deb Tests if ES6 Symbol is supported
node-has-to-string-tag-x_1.4.1+dfsg-1_all.deb Tests if ES6 @@toStringTag is supported
node-has-unicode_2.0.1-2_all.deb Try to guess if your terminal supports unicode
node-has-value_0.3.1-2_all.deb Returns true if a value exists
node-has-values_0.1.4-1_all.deb Returns true if any values exist
node-hash-base_3.0.4-2_all.deb abstract base class for javascript hash-streams
node-hash-sum_1.0.2-1_all.deb Blazing fast unique hash generator
Advertisement
Advertisement